Favorites
For authentication instructions, see API overview.
Endpoints
get
List all favorites
Returns a list of favorites. The favorites are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/favoritesResponse
No response schemapost
Create favorites
Create favorites. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
leadsarrayunitsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/favorites \ -d 'leads="array"' \ -d 'units="array"'Response
No response schemaget
Retrieve favorites
Returns a single favorite, which you can request by passing through an id in the url.
Path parameters
idstringID of the favorite
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/favorites/:idResponse
No response schemaput
Update favorites
Path parameters
idstringID of the favorite
Request body
leadsarrayunitsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/favorites/:id \ -d 'leads="array"' \ -d 'units="array"'Response
No response schemapatch
Update favorites soft
Update favorites soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the favorite
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/favorites/:idResponse
No response schemadelete
Delete favorites
Path parameters
idstringID of the favorite
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/favorites/deleted/:id